> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Currencies List

> To query all the supported currencies on CoinGecko

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

<Tip>
  Use this endpoint to get valid values for `vs_currencies` parameters in other endpoints like [Coin Price](/demo/reference/simple-price).
</Tip>

<CacheInfo paidRate="60 seconds" publicRate="5 minutes" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.simple.supportedVsCurrencies.get();

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.simple.supported_vs_currencies.get()

  print(response)
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /simple/supported_vs_currencies
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /simple/supported_vs_currencies:
    get:
      summary: Currencies List
      description: To query all the supported currencies on CoinGecko
      operationId: simple-supported-currencies
      responses:
        '200':
          description: List of supported currencies
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupportedCurrencies'
              example:
                - btc
                - eth
                - ltc
                - bch
                - bnb
                - eos
                - xrp
                - xlm
                - link
                - dot
                - yfi
                - sol
                - usd
                - aed
                - ars
                - aud
                - bdt
                - bhd
                - bmd
                - brl
                - cad
                - chf
                - clp
                - cny
                - czk
                - dkk
                - eur
                - gbp
                - gel
                - hkd
                - huf
                - idr
                - ils
                - inr
                - jpy
                - krw
                - kwd
                - lkr
                - mmk
                - mxn
                - myr
                - ngn
                - nok
                - nzd
                - php
                - pkr
                - pln
                - rub
                - sar
                - sek
                - sgd
                - thb
                - try
                - twd
                - uah
                - vef
                - vnd
                - zar
                - xdr
                - xag
                - xau
                - bits
                - sats
components:
  schemas:
    SupportedCurrencies:
      type: array
      items:
        type: string
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````